package hc.adlrunner;

import java.util.Vector;

import javax.swing.JOptionPane;

import hc.adl.IFunctionCallback;

public class MessageBoxes implements IFunctionCallback {
	public MessageBoxes() {
	}

	public Object FunctionCallback(String funcName, Vector<Object> vParams) {
		if (funcName.equals("show")) {
			String message = (String) vParams.get(0);
			JOptionPane.showMessageDialog(null, message);
		}
		return null;
	}

}
